404 errors when installing plugin from marketplace because of version code

Answered

For some reason, I am unable to download and install my plugin from within IntelliJ, even though downloads from the plugin page work fine:

https://plugins.jetbrains.com/pluginManager/?build=IC-201.6668.13&id=me.haroldmartin.replacestringformatwithtemplate

This URL is confusing since I'm using IntelliJ version "Build #IC-213.7172.25, built on March 15, 2022"

Produces the error message: 

Can't find update for plugin \"me.haroldmartin.replacestringformatwithtemplate\" compatible with build \"IC-201.6668.13\"

Which given the URL parameter I suppose is true since I define:

pluginSinceBuild = 211
pluginUntilBuild = 213.*

I'm not sure what to do here, is there some config I might have missed?

2 comments
Comment actions Permalink

Hi Harold,

It seems to work as expected. I used exactly the same IDEA version:

 

If the issue still happens, please create an issue in https://youtrack.jetbrains.com/issues/IDEA as it seems to be a product issue, unrelated to plugin development.

PS
Regarding the plugin functionality, IDEA has such an inspection:

How does your plugin differ? If it actually does something more than built-in inspection, consider creating an issue to extend it (potentially contributing to it) instead of creating and maintaining a separate plugin.

0
Comment actions Permalink

Thanks for the response Karol.

This is very strange, I tried on a different machine and had the same 404 error. I'll go ahead and open a ticket.

re: PS, I only discovered the inspection after I started work on the plugin. For some reason it doesn't show up on >90% of my format calls! I did take a look at the inspection's implementation and it is quite different than mine. I will eventually contribute to it upstream but that is non-trivial work because of the differences. 

0

Please sign in to leave a comment.